List the current user's passkeys
GET
/auth/v1/users/current/passkeysReturns all passkeys registered to the authenticated user.
Authorization
Bearer Authorization<token>
In: header
Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/authv1.ListPasskeysResponse",
"$ref-value": {
"properties": {
"passkeys": {
"items": {
"$ref": "#/components/schemas/authv1.Passkey",
"$ref-value": {
"properties": {
"aaguid": {
"type": "string"
},
"backup_state": {
"type": "boolean"
},
"created_at": {
"type": "string"
},
"credential_id": {
"type": "string"
},
"id": {
"type": "string"
},
"last_used_at": {
"type": "string"
},
"name": {
"type": "string"
},
"transports": {
"items": {
"type": "string"
},
"type": "array"
}
},
"type": "object"
}
},
"type": "array"
}
},
"type": "object"
}
}curl -X GET "https://api.rixl.com/auth/v1/users/current/passkeys"OK
application/json
{
"$ref": "#/components/schemas/authv1.ListPasskeysResponse",
"$ref-value": {
"properties": {
"passkeys": {
"items": {
"$ref": "#/components/schemas/authv1.Passkey",
"$ref-value": {
"properties": {
"aaguid": {
"type": "string"
},
"backup_state": {
"type": "boolean"
},
"created_at": {
"type": "string"
},
"credential_id": {
"type": "string"
},
"id": {
"type": "string"
},
"last_used_at": {
"type": "string"
},
"name": {
"type": "string"
},
"transports": {
"items": {
"type": "string"
},
"type": "array"
}
},
"type": "object"
}
},
"type": "array"
}
},
"type": "object"
}
}